## cross-toolchain-base-mipsen 1ubuntu1

=== debian/changelog ===
cross-toolchain-base-mipsen (1ubuntu1) disco; urgency=medium

  * Relax build dependency on glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Feb 2019 14:16:49 +0100

cross-toolchain-base-mipsen (1) unstable; urgency=medium

  * Init release based on cross-toolchain-base 32

 -- YunQiang Su <syq@debian.org>  Sat, 02 Feb 2019 09:02:07 +0800

cross-toolchain-base (32) unstable; urgency=medium

  * Build using glibc 2.28-4.
  * Build using gcc 8.2.0-14.
  * Build using linux 4.19.
  * Build using binutils 2.31.1-11.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Jan 2019 10:37:28 +0100

cross-toolchain-base (30) unstable; urgency=medium

  * Build using glibc 2.28-2.
  * Build using gcc 8.2.0-11.
  * Tighten dependencies for the autopkg test.
  * Fix VCS attribute.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Dec 2018 12:05:53 +0100

cross-toolchain-base (29) unstable; urgency=medium

  * Build using glibc 2.28.
  * Build using gcc 8.2.0-10.
  * Update VCS attributes in the control file.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Nov 2018 12:16:19 +0100

cross-toolchain-base (28) unstable; urgency=medium

  * Build using linux 4.18.
  * Build using gcc 7.3.0-27.
  * Build using binutils 2.31.1.
  * Simplify the kernel headers build.
  * Add an autopkg test to build a subset of cross compilers.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2018 18:02:42 +0200

cross-toolchain-base (27) unstable; urgency=medium

  * Build using gcc 7.3.0-20.
  * Build using binutils 2.30-21.
  * Fix upgrade of the ARM32 multilib packages.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2018 19:39:54 +0200

cross-toolchain-base (26) unstable; urgency=medium

  * Build using linux 4.16.
  * Fix ARM32 multilib installations.
  * Fix binutils installation in the build chroot.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2018 20:43:12 +0200

cross-toolchain-base (25) unstable; urgency=medium

  * Add support for riscv64 (Aurelian Jarno). Addresses: #892790.
  * Build using gcc 7.3.0-14.
  * Build using binutils 2.30-11.
  * Fix dpkg-cross ldscript conversion for x32.
  * Add support to build packages for amd64, i386 and x32.
  * Build packages for amd64 and i386.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 04:53:03 +0200

cross-toolchain-base (24) unstable; urgency=medium

  * Build using glibc 2.27. Closes: #886315.
  * Build using gcc 7.3.0-11.
  * Build using binutils 2.30-7.
  * Build using linux 4.15.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Mar 2018 14:46:33 +0100

cross-toolchain-base (22) unstable; urgency=medium

  * Build using glibc 2.26-2. Addresses: #886315.
  * Build using gcc 7.2.0-19.
  * Build using binutils 2.29.1-13.
  * Add support for ia64. Addresses: #886175.
  * dpkg-cross: Add fixes for mipsr6 and n32 (YunQiang Su). Addresses: #886312.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 23:46:19 +0100

cross-toolchain-base (21) unstable; urgency=medium

  * Build using gcc 6.4.0-11.
  * Build using glibc 2.25-3.
  * Build using linux 4.14.2-1.
  * Build using binutils 2.29.1-10.
  * Update dpkg-cross for mips* targets. Closes: #883189.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Dec 2017 07:59:56 +0100

cross-toolchain-base (20) unstable; urgency=medium

  * Build using gcc 6.4.0-10.
  * Build using glibc 2.25-1. Closes: #882168.
  * Build using linux 4.13.13-1.
  * Update build dependencies. Closes: #881618.
  * Add support for a plethora of mips r6 targets (YunQiang Su).
  * Update dpkg-cross. Addresses #881687.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Nov 2017 23:02:17 +0100

cross-toolchain-base (19) unstable; urgency=medium

  * Build using binutils 2.29.1-1, using the standard debian targets.
  * Build using gcc 6.4.0-7.
  * Build using linux 4.12.13-1.
  * Build using glibc 2.24-17.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Sep 2017 16:26:16 +0200

cross-toolchain-base (18) unstable; urgency=medium

  * Fix build for i386 hosts. Closes: #860687.
  * Build using binutils 2.28-5.
  * Build using linux 4.9.25.
  * Build using gcc 6.3.0-18.

 -- Matthias Klose <doko@debian.org>  Mon, 15 May 2017 21:01:45 -0700

cross-toolchain-base (17) unstable; urgency=medium

  * Build using linux 4.9.13.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Mar 2017 18:07:10 +0100

cross-toolchain-base (16) unstable; urgency=medium

  * Build using linux 4.9.10.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Feb 2017 16:35:10 +0100

cross-toolchain-base (15) unstable; urgency=medium

  * Build using gcc 6.3.
  * Build using binutils 2.27.90.
  * Build using linux 4.9.
  * Inject the libc-dev dependency on linux-libc-dev.
  * Mark all packages as Multi-Arch: foreign.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2017 11:27:27 +0100

cross-toolchain-base (14) unstable; urgency=medium

  * Fix glibc build failure. Closes: #844866.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Nov 2016 13:18:43 +0100

cross-toolchain-base (13) unstable; urgency=medium

  * Build using linux 4.8.
  * Build using binutils 2.27.51.
  * Stop building powerpc binary packages from this source.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Nov 2016 12:48:23 +0100

cross-toolchain-base (12) unstable; urgency=medium

  * Build using linux 4.7.
  * Build using binutils 2.27.
  * Build using gcc 6.2. Closes: #835944.
  * Build using glibc 2.24.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Sep 2016 21:27:44 +0200

cross-toolchain-base (11) unstable; urgency=medium

  * Build using linux 4.6.
  * Build using binutils 2.26.1.
  * Build using gcc 5.4.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Jul 2016 11:29:56 +0200

cross-toolchain-base (10) experimental; urgency=medium

  * Fix builds with binutils 2.26.
  * Fix builds with glibc 2.23. Closes: #820678.
  * Build using GCC 5.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Apr 2016 22:23:22 +0200

cross-toolchain-base (9) unstable; urgency=medium


