## cross-toolchain-base-mipsen 2

=== debian/changelog ===
cross-toolchain-base-mipsen (2) unstable; urgency=medium

  * Fix autopkgtest: use avaiable mips arch for test. 

 -- YunQiang Su <syq@debian.org>  Mon, 11 Feb 2019 17:19:36 +0800
