=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.31.1-11~),
-  glibc-source (>= 2.28-0~),
+  glibc-source (>= 2.28-4~),
   gcc-8-source (>= 8.2.0-14~),
   linux-source (>= 4.19),
   autoconf (>= 2.64), autoconf2.64, autogen,
@@ -25,8 +25,8 @@
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
-  binutils-mips64-linux-gnuabi64, binutils-mips64-linux-gnuabin32, binutils-mips64el-linux-gnuabin32, binutils-mips-linux-gnu, binutils-mipsel-linux-gnu, binutils-mips64el-linux-gnuabi64, binutils-mipsisa32r6-linux-gnu, binutils-mipsisa32r6el-linux-gnu, binutils-mipsisa64r6-linux-gnuabin32, binutils-mipsisa64r6el-linux-gnuabin32, binutils-mipsisa64r6-linux-gnuabi64, binutils-mipsisa64r6el-linux-gnuabi64,
-  libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mips-cross, linux-libc-dev-mips-cross, libc6-mipsel-cross, linux-libc-dev-mipsel-cross, libc6-mips64el-cross, linux-libc-dev-mips64el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
+  binutils-mips64-linux-gnuabi64, binutils-mips64-linux-gnuabin32, binutils-mips64el-linux-gnuabin32, binutils-mipsisa32r6-linux-gnu, binutils-mipsisa32r6el-linux-gnu, binutils-mipsisa64r6-linux-gnuabin32, binutils-mipsisa64r6el-linux-gnuabin32, binutils-mipsisa64r6-linux-gnuabi64, binutils-mipsisa64r6el-linux-gnuabi64,
+  libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 XS-Testsuite: autopkgtest
 
@@ -42,18 +42,6 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
-Package: linux-libc-dev-mips-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-mips-cross, linux-libc-dev-mips-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
 Package: linux-libc-dev-mips64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -66,18 +54,6 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
-Package: linux-libc-dev-mips64el-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-mips64el-cross, linux-libc-dev-mips64el-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
 Package: linux-libc-dev-mips64r6-cross
 Architecture: all
 Multi-Arch: foreign
@@ -102,18 +78,6 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
-Package: linux-libc-dev-mipsel-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-mipsel-cross, linux-libc-dev-mipsel-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
 Package: linux-libc-dev-mipsn32-cross
 Architecture: all
 Multi-Arch: foreign
@@ -199,18 +163,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-amd64-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-amd64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -224,36 +176,91 @@
  Contains the symlinks, headers, and object files needed to compile
  and link programs which use the standard C library.
 
-Package: libc6-mips-cross
-Architecture: all
-Multi-Arch: foreign
-Section: libs
-Depends: ${misc:Depends}
-Built-Using: ${bu:glibc}
-Description: GNU C Library: Shared libraries (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- Contains the standard libraries that are used by nearly all programs on
- the system. This package includes shared versions of the standard C library
- and the standard math library, as well as many others.
-
-Package: libc6-dbg-mips-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
-Package: libc6-dev-mips-cross
-Architecture: all
-Multi-Arch: foreign
-Section: libdevel
-Depends: ${misc:Depends}
-Conflicts: binutils-mips-cross (<< 2.20.1-1), binutils-gold-mips-cross (<< 2.20.1-11)
-Built-Using: ${bu:glibc}
-Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+Package: libc6-mips64-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
+ the system. This package includes shared versions of the standard C library
+ and the standard math library, as well as many others.
+
+Package: libc6-dev-mips64-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-mips64-cross (<< 2.20.1-1), binutils-gold-mips64-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-mips64r6-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
+ the system. This package includes shared versions of the standard C library
+ and the standard math library, as well as many others.
+
+Package: libc6-dev-mips64r6-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-mips64r6-cross (<< 2.20.1-1), binutils-gold-mips64r6-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-mips64r6el-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
+ the system. This package includes shared versions of the standard C library
+ and the standard math library, as well as many others.
+
+Package: libc6-dev-mips64r6el-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-mips64r6el-cross (<< 2.20.1-1), binutils-gold-mips64r6el-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-mipsn32-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
