=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,11 @@
 
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')
-DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), cross-toolchain-base),ppc64el,ppc64))
+ifeq ($(DEB_NAME_ACT),cross-toolchain-base-mipsen)
+  DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh mipsn32r6el)
+else
+  DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), cross-toolchain-base),ppc64el,ppc64))
+endif
 CROSS_EXT	:= cross$(DEB_VER_ACT)
 
 HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
@@ -41,9 +45,8 @@
 			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el) \
 			mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
 else
-  CROSS_ARCHS  ?= $(if $(filter $(vendor), Ubuntu), powerpc) \
+  CROSS_ARCHS  ?= $(if $(filter $(vendor), Ubuntu), , powerpc) \
 		  alpha hppa m68k ppc64 riscv64 sh4 sparc64 x32 powerpcspe 
-			
 endif
 CROSS_ARCH       = $(subst .,,$(suffix $@))
 KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
@@ -60,7 +63,7 @@
   ARM32_MULTILIBS := dummy
 endif
 
-MIN_VER_GLIBC		:= 2.28-0~
+MIN_VER_GLIBC		:= 2.28-4~
 MIN_VER_LINUX		:= 4.19
 MIN_VER_GCC		:= 8.2.0-14~
 MIN_VER_BINUTILS	:= 2.31.1-11~
@@ -183,13 +186,3 @@
 	cd binutils-${PKG_VER_BINUTILS} ;\
 	cp -a ${BINUTILS_DIR}/debian/ . ;\
 	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
-	  QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt --quiltrc /dev/null  push -a; \
-	fi; \
-	rm -rf .pc
-endef
-
-$(stamp)init-binutils:
-	@echo START $@
-	$(call init_binutils)
-	touch $@
-
