## cross-toolchain-base-mipsen 2ubuntu1

=== debian/changelog ===
cross-toolchain-base-mipsen (2ubuntu1) disco; urgency=medium

  * Build the same mipsen packages for every vendor.
  * Don't build debug packages by default.
  * Remove amd64 packages from the -ports and -mipsen control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Feb 2019 12:24:18 +0100
