=== debian/rules ===
--- 
+++ 
@@ -36,17 +36,20 @@
 ifeq ($(vendor),Debian)
   skip_dbg_packages = yes
 endif
+ifeq ($(DEB_NAME_ACT),cross-toolchain-base-mipsen)
+  skip_dbg_packages = yes
+endif
 
 ifeq ($(DEB_NAME_ACT),cross-toolchain-base)
   CROSS_ARCHS	?= amd64 i386 s390x ppc64el arm64 armhf armel \
 			$(if $(filter $(vendor), Ubuntu), powerpc, mips mipsel mips64el)
-else ifeq ($(DEB_NAME_ACT),cross-toolchain-base-mipsen)
+else ifeq ($(DEB_NAME_ACT),cross-toolchain-base-ports)
+  CROSS_ARCHS  ?= alpha hppa m68k mips64 ppc64 riscv64 sh4 sparc64 x32 \
+			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
+			powerpcspe
+else # -mipsen
   CROSS_ARCHS  ?= mips64 mipsn32 mipsn32el \
-			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el) \
 			mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
-else
-  CROSS_ARCHS  ?= $(if $(filter $(vendor), Ubuntu), , powerpc) \
-		  alpha hppa m68k ppc64 riscv64 sh4 sparc64 x32 powerpcspe 
 endif
 CROSS_ARCH       = $(subst .,,$(suffix $@))
 KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
@@ -58,9 +61,11 @@
 # ARM32 soft-float/hard-float multilibs. These are not yet built in a
 # "proper" multilib location, so only build simple dependency packages
 ARM32_MULTILIBS :=
-ifeq ($(vendor),Ubuntu)
-  ARM32_MULTILIBS := yes
-  ARM32_MULTILIBS := dummy
+ifeq ($(DEB_NAME_ACT),cross-toolchain-base)
+  ifeq ($(vendor),Ubuntu)
+    ARM32_MULTILIBS := yes
+    ARM32_MULTILIBS := dummy
+  endif
 endif
 
 MIN_VER_GLIBC		:= 2.28-4~
@@ -185,4 +190,3 @@
 	set -e; \
 	cd binutils-${PKG_VER_BINUTILS} ;\
 	cp -a ${BINUTILS_DIR}/debian/ . ;\
-	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
