## cross-toolchain-base-mipsen 2ubuntu2

=== debian/changelog ===
cross-toolchain-base-mipsen (2ubuntu2) disco; urgency=medium

  * Build using glibc 2.29-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2019 12:07:11 +0100
