=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.31.1-11~),
-  glibc-source (>= 2.28-0~),
-  gcc-8-source (>= 8.2.0-14~),
+  glibc-source (>= 2.29-0~),
+  gcc-8-source (>= 8.3.0-2~),
   linux-source (>= 4.19),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
