=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
   CROSS_ARCHS	?= amd64 i386 s390x ppc64el arm64 armhf armel \
 			$(if $(filter $(vendor), Ubuntu), powerpc, mips mipsel mips64el)
 else ifeq ($(DEB_NAME_ACT),cross-toolchain-base-ports)
-  CROSS_ARCHS  ?= alpha hppa m68k mips64 ppc64 riscv64 sh4 sparc64 x32 \
+  CROSS_ARCHS  ?= alpha hppa m68k ppc64 riscv64 sh4 sparc64 x32 \
 			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
 			powerpcspe
 else # -mipsen
@@ -81,9 +81,9 @@
 endif
 VER_GCC_BASE	:= 8
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.28-0~
+  MIN_VER_GLIBC	:= 2.29-0~
   VER_GCC_BASE	:= 8
-  MIN_VER_GCC	:= 8.2.0-14~
+  MIN_VER_GCC	:= 8.3.0-2~
 endif
 
 VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
