## cross-toolchain-base-mipsen 4ubuntu1

=== debian/changelog ===
cross-toolchain-base-mipsen (4ubuntu1) eoan; urgency=medium

  * Fix building with binutils snapshot builds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Jun 2019 09:28:26 +0200

cross-toolchain-base-mipsen (4) unstable; urgency=medium

  * Build using glibc 2.28-10.

 -- Matthias Klose <doko@debian.org>  Thu, 02 May 2019 14:51:40 +0200

cross-toolchain-base-mipsen (3) unstable; urgency=medium

  * Build using gcc 8.3.0-7.
  * Build using binutils 2.31.1-16.
  * Build using glibc 2.28-9.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Apr 2019 21:25:28 +0200
