=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.3.0
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.31.1-11~),
+  binutils-source (>= 2.31.1-16~),
   glibc-source (>= 2.29-0~),
   gcc-8-source (>= 8.3.0-2~),
   linux-source (>= 4.19),
