=== debian/rules ===
--- 
+++ 
@@ -61,17 +61,15 @@
 # ARM32 soft-float/hard-float multilibs. These are not yet built in a
 # "proper" multilib location, so only build simple dependency packages
 ARM32_MULTILIBS :=
-ifeq ($(DEB_NAME_ACT),cross-toolchain-base)
-  ifeq ($(vendor),Ubuntu)
-    ARM32_MULTILIBS := yes
-    ARM32_MULTILIBS := dummy
-  endif
+ifeq ($(vendor),Ubuntu)
+  ARM32_MULTILIBS := yes
+  ARM32_MULTILIBS := dummy
 endif
 
-MIN_VER_GLIBC		:= 2.28-4~
+MIN_VER_GLIBC		:= 2.28-10~
 MIN_VER_LINUX		:= 4.19
-MIN_VER_GCC		:= 8.2.0-14~
-MIN_VER_BINUTILS	:= 2.31.1-11~
+MIN_VER_GCC		:= 8.3.0-7~
+MIN_VER_BINUTILS	:= 2.31.1-16~
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
@@ -188,5 +186,6 @@
 define init_binutils
 	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
 	set -e; \
-	cd binutils-${PKG_VER_BINUTILS} ;\
+	cd binutils-${VER_BINUTILS} ;\
 	cp -a ${BINUTILS_DIR}/debian/ . ;\
+	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
