## cross-toolchain-base-mipsen 4ubuntu2

=== debian/changelog ===
cross-toolchain-base-mipsen (4ubuntu2) eoan; urgency=medium

  * Fix building with glibc 2.30. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 Sep 2019 13:39:43 +1200
