## cross-toolchain-base-mipsen 4ubuntu3

=== debian/changelog ===
cross-toolchain-base-mipsen (4ubuntu3) eoan; urgency=medium

  * Fix building with GCC 9.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Sep 2019 07:09:02 +0200
